# Class CIM_VideoHead
extends CIM_LogicalDevice

VideoHead represents one head of the CIM_DisplayController.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_LogicalDevice
|
+--CIM_VideoHead

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | VideoHead represents one head of the CIM_DisplayController.
UMLPackagePath | string | CIM::Device::Controller
Version | string | 2.31.1

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CurrentBitsPerPixel | uint32 |
Description | string | The number of bits used to display each pixel.
MappingStrings | string | MIF.DMTF|Video|004.12
PUnit | string | bit
Units | string | Bits
CurrentHorizontalResolution | uint32 |
Description | string | Current number of horizontal pixels.
MappingStrings | string | MIF.DMTF|Video|004.11
ModelCorrespondence | string | CIM_VideoHeadResolution.HorizontalResolution
PUnit | string | pixel
Units | string | Pixels
CurrentNumberOfColors | uint64 |
Description | string | Number of colors supported at the current resolutions.
ModelCorrespondence | string | CIM_VideoHeadResolution.NumberOfColors
CurrentNumberOfColumns | uint32 |
Description | string | If in character mode, number of columns for this DisplayController. Otherwise, enter 0.
MappingStrings | string | MIF.DMTF|Video|004.14
CurrentNumberOfRows | uint32 |
Description | string | If in character mode, number of rows for this Video Controller. Otherwise, enter 0.
MappingStrings | string | MIF.DMTF|Video|004.13
CurrentRefreshRate | uint32 |
Description | string | Current refresh rate in Hertz.
MappingStrings | string | MIF.DMTF|Video|004.15
ModelCorrespondence | string | CIM_VideoHeadResolution.RefreshRate
PUnit | string | hertz
Units | string | Hertz
CurrentScanMode | uint16 |
Description | string | Current scan mode.
MappingStrings | string | MIF.DMTF|Video|004.8
ModelCorrespondence | string | CIM_VideoHead.OtherCurrentScanMode, CIM_VideoHeadResolution.ScanMode
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Other, Not Supported, Non-Interlaced Operation, Interlaced Operation
CurrentVerticalResolution | uint32 |
Description | string | Current number of vertical pixels.
MappingStrings | string | MIF.DMTF|Video|004.10
ModelCorrespondence | string | CIM_VideoHeadResolution.VerticalResolution
PUnit | string | pixel
Units | string | Pixels
MaxRefreshRate | uint32 |
Description | string | Maximum refresh rate of the DisplayController in Hertz.
MappingStrings | string | MIF.DMTF|Video|004.5
ModelCorrespondence | string | CIM_VideoHeadResolution.MaxRefreshRate
PUnit | string | hertz
Units | string | Hertz
MinRefreshRate | uint32 |
Description | string | Minimum refresh rate of the Video Controller in Hertz.
MappingStrings | string | MIF.DMTF|Video|004.4
ModelCorrespondence | string | CIM_VideoHeadResolution.MinRefreshRate
PUnit | string | hertz
Units | string | Hertz
OtherCurrentScanMode | string |
Description | string | A string describing the current scan mode when the instance's CurrentScanMode property is 1 ("Other").
ModelCorrespondence | string | CIM_VideoHead.CurrentScanMode, CIM_VideoHeadResolution.OtherScanMode

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Availability | uint16 | CIM_LogicalDevice
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_LogicalDevice
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DeviceID | string | CIM_LogicalDevice
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ErrorCleared | boolean | CIM_LogicalDevice
ErrorDescription | string | CIM_LogicalDevice
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LastErrorCode | uint32 | CIM_LogicalDevice
MaxQuiesceTime | uint64 | CIM_LogicalDevice
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PowerManagementSupported | boolean | CIM_LogicalDevice
PowerOnHours | uint64 | CIM_LogicalDevice
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
StatusInfo | uint16 | CIM_LogicalDevice
SystemCreationClassName | string | CIM_LogicalDevice
SystemName | string | CIM_LogicalDevice
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TotalPowerOnHours | uint64 | CIM_LogicalDevice
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AdditionalAvailability | uint16[] | CIM_LogicalDevice
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
IdentifyingDescriptions | string[] | CIM_LogicalDevice
OperationalStatus | uint16[] | CIM_ManagedSystemElement
OtherIdentifyingInfo | string[] | CIM_LogicalDevice
PowerManagementCapabilities | uint16[] | CIM_LogicalDevice
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
EnableDevice | uint32 | CIM_LogicalDevice
OnlineDevice | uint32 | CIM_LogicalDevice
QuiesceDevice | uint32 | CIM_LogicalDevice
RequestStateChange | uint32 | CIM_EnabledLogicalElement
Reset | uint32 | CIM_LogicalDevice
RestoreProperties | uint32 | CIM_LogicalDevice
SaveProperties | uint32 | CIM_LogicalDevice
SetPowerState | uint32 | CIM_LogicalDevice